services:
  PrestaShop\Module\PsEventbus\Decorator\ProductDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\ProductDecorator
    public: true
    arguments:
      - '@ps_eventbus.context'
      - '@PrestaShop\Module\PsEventbus\Repository\LanguageRepository'
      - '@PrestaShop\Module\PsEventbus\Repository\ProductRepository'
      - '@PrestaShop\Module\PsEventbus\Repository\CategoryRepository'
      - '@PrestaShop\Module\PsEventbus\Formatter\ArrayFormatter'
      - '@PrestaShop\Module\PsEventbus\Repository\BundleRepository'

  PrestaShop\Module\PsEventbus\Decorator\CategoryDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\CategoryDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\CurrencyDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\CurrencyDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\CustomerDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\CustomerDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\PayloadDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\PayloadDecorator
    public: true
    arguments:
      - '@PrestaShop\Module\PsEventbus\Repository\ConfigurationRepository'

  PrestaShop\Module\PsEventbus\Decorator\CustomPriceDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\CustomPriceDecorator
    public: true
    arguments:
      - '@ps_eventbus.context'
      - '@PrestaShop\Module\PsEventbus\Service\SpecificPriceService'

  PrestaShop\Module\PsEventbus\Decorator\WishlistDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\WishlistDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\StoreDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\StoreDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\StockDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\StockDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\ManufacturerDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\ManufacturerDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\SupplierDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\SupplierDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\ProductSupplierDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\ProductSupplierDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\EmployeeDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\EmployeeDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\LanguageDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\LanguageDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\ImageDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\ImageDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\ImageTypeDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\ImageTypeDecorator
    public: true

  PrestaShop\Module\PsEventbus\Decorator\TranslationDecorator:
    class: PrestaShop\Module\PsEventbus\Decorator\TranslationDecorator
    public: true
